package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF643Data {

    private Map<String, Object> params;
    
    public MWF643Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsDokladpredkladanykategorie() {
        return (String) params.get("RS_DOKLADPREDKLADANYKATEGORIE");
    }

    public String rsDokladpredkladanyucel() {
        return (String) params.get("RS_DOKLADPREDKLADANYUCEL");
    }

    public String rsDokladpredkladanysmazflag() {
        return (String) params.get("RS_DOKLADPREDKLADANYSMAZFLAG");
    }

    public Long rsInstPtKey() {
        return (Long) params.get("RS_INST_PT_KEY");
    }

    public String rsDokladpredkladanyzdroj() {
        return (String) params.get("RS_DOKLADPREDKLADANYZDROJ");
    }

    public Long rsDokladpredkladanyKey() {
        return (Long) params.get("RS_DOKLADPREDKLADANY_KEY");
    }

    public Long rsPrevDocInstKey() {
        return (Long) params.get("RS_PREV_DOC_INST_KEY");
    }

    public Long rsDocKey() {
        return (Long) params.get("RS_DOC_KEY");
    }

    public String rsRc() {
        return (String) params.get("RS_RC");
    }

    public String rsPrijmeni() {
        return (String) params.get("RS_PRIJMENI");
    }

    public String rsJmeno() {
        return (String) params.get("RS_JMENO");
    }

    public String rsDokladpredkladanytyp() {
        return (String) params.get("RS_DOKLADPREDKLADANYTYP");
    }

    public String rsMinroledoklad() {
        return (String) params.get("RS_MINROLEDOKLAD");
    } 

}
